> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Append Prompt Version



## OpenAPI

````yaml POST /v1/prompts/versions
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/prompts/versions:
    post:
      tags:
        - prompts
      summary: Append a new version to an existing prompt
      operationId: PromptsController_createVersion
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVersionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptVersionDto'
      security:
        - bearer: []
components:
  schemas:
    CreateVersionDto:
      type: object
      properties:
        promptId:
          type: string
          description: Parent prompt UUID
        content:
          type: string
          example: Updated system prompt text
      required:
        - promptId
        - content
    PromptVersionDto:
      type: object
      properties:
        id:
          type: string
          description: Version UUID
        promptId:
          type: string
          description: Parent prompt UUID
        version:
          type: number
          description: Sequential version number (starts at 1)
        content:
          type: string
          description: Prompt text; supports {{variable}} placeholders
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - promptId
        - version
        - content
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````